Skip to main content
GET
/
api
/
accounts
Get all accounts
curl --request GET \
  --url https://api.example.com/api/accounts \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "Abbie",
    "number": "ACC-0000000041",
    "addressLine1": "street or PO Box",
    "addressLine2": "Apt, suite, unit, building, floor etc.",
    "country": "US",
    "state": "CA",
    "city": "Los Angeles",
    "postalCode": "84001",
    "email": "Abbie@gmail.com",
    "status": "active",
    "source": "aws",
    "taxExempt": false,
    "id": "e3ef9de3-bbdc-495c-b608-a6fa1f62ada0",
    "createdOn": "2026-03-02T03:39:31Z",
    "updatedOn": "2026-03-02T03:39:31Z",
    "createdBy": "f17bb9d8-ff51-423c-b6d3-bc474b755510",
    "updatedBy": "f17bb9d8-ff51-423c-b6d3-bc474b755510"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

trace-id
string

Response

OK

id
string
createdOn
string<date-time>
updatedOn
string<date-time>
createdBy
string
updatedBy
string
name
string

name

number
string
addressLine1
string
addressLine2
string
country
string | null
state
string | null
city
string | null
postalCode
string | null
email
string | null
status
enum<string>
Available options:
active,
in-active,
draft
source
string | null